{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This operation allows you to generate a new mail batch ID.**\n\n\nOnce a batch ID is created, you can associate it with a mail send by passing\nit in the request body of the [Mail Send operation](https://docs.sendgrid.com/api-reference/mail-send/mail-send).\nThis makes it possible to group multiple requests to the Mail Send operation\nby assigning them the same batch ID.\n\n\nA batch ID that's associated with a mail send can be used to access and modify the associated send. For example, you can pause or cancel a send using its batch ID. See the [Scheduled Sends API](https://www.twilio.com/docs/sendgrid/api-reference/cancel-scheduled-sends) for more information about pausing and cancelling a mail send.\n","properties":{"headers":{"type":"object","properties":{"on-behalf-of":{"type":"string","description":"Use the `on-behalf-of` header to make API calls for a particular Subuser through the parent account. You can use this header to automate bulk updates or to administer a Subuser without changing the authentication in your code. You will use the parent account's API key when using this header."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"Create a batch ID.","id":"sendgrid.mail.createmailbatch","example":{},"maxRequests":1,"summary":false}}